Bijwerken · Voorraad — Voorraad
Wijzig fysieke en verkoopbare producthoeveelheden.
PATCH
/api/v1/inventory/stock/{stock_id}cURL-aanvraag
curl --disable --globoff --fail-with-body --silent --show-error \
--proto '=https' --connect-timeout 5 --max-time 30 \
--request PATCH \
--url https://shop.onshopently.com/api/v1/inventory/stock/stock_v1_WyJleGFtcGxlIiwicHJvZHVjdCIsImV4YW1wbGUiXQ \
--header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
--header 'Idempotency-Key: example-update_stock_api_v1_inventory_stock__stock_id__patch' \
--header 'Content-Type: application/json' \
--data-raw '{"expected_version":1,"locations":[{"location_id":"example","on_hand":1}],"reason":"Example"}'
Antwoord
{
"data": {
"deleted": false,
"id": "example",
"version": 1
},
"meta": {
"request_id": "example"
}
}
Vereiste rechten
- Authenticatie
- Toegangstoken
- Beschikbaar vanaf
- STANDARD
- Recht van de sleutel
- Voorraad bewerken
inventory.stock:update